"use strict";
var ElasticModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElasticModule = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const sdk_nestjs_monitoring_1 = require("@multiversx/sdk-nestjs-monitoring");
const common_2 = require("@nestjs/common");
const sdk_nestjs_http_1 = require("@multiversx/sdk-nestjs-http");
const elastic_service_1 = require("./elastic.service");
const elastic_module_options_1 = require("./entities/elastic.module.options");
let ElasticModule = ElasticModule_1 = class ElasticModule {
    static forRoot(options) {
        const providers = [
            {
                provide: elastic_module_options_1.ElasticModuleOptions,
                useFactory: () => options,
            },
            elastic_service_1.ElasticService,
        ];
        return {
            module: ElasticModule_1,
            imports: [
                sdk_nestjs_http_1.ApiModule,
                sdk_nestjs_monitoring_1.MetricsModule,
            ],
            providers,
            exports: [
                elastic_service_1.ElasticService,
            ],
        };
    }
    static forRootAsync(options) {
        const providers = [
            {
                provide: elastic_module_options_1.ElasticModuleOptions,
                useFactory: options.useFactory,
                inject: options.inject,
            },
            elastic_service_1.ElasticService,
        ];
        const references = [];
        if (options.imports) {
            for (const ref of options.imports) {
                references.push(ref);
            }
        }
        return {
            module: ElasticModule_1,
            imports: [
                sdk_nestjs_http_1.ApiModule,
                sdk_nestjs_monitoring_1.MetricsModule,
                ...references,
            ],
            providers,
            exports: [
                elastic_service_1.ElasticService,
            ],
        };
    }
};
ElasticModule = ElasticModule_1 = tslib_1.__decorate([
    (0, common_1.Global)(),
    (0, common_2.Module)({})
], ElasticModule);
exports.ElasticModule = ElasticModule;
//# sourceMappingURL=elastic.module.js.map