"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NestedQuery = void 0;
const abstract_query_1 = require("./abstract.query");
const query_type_1 = require("./query.type");
class NestedQuery extends abstract_query_1.AbstractQuery {
    constructor(key, value) {
        super();
        this.key = key;
        this.value = value;
    }
    getQuery() {
        return {
            nested: {
                path: this.key,
                query: {
                    bool: {
                        must: [
                            query_type_1.QueryType.Match(Object.keys(this.value)[0], Object.values(this.value)[0]).getQuery(),
                        ],
                    },
                },
            },
        };
    }
}
exports.NestedQuery = NestedQuery;
//# sourceMappingURL=nested.query.js.map