"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WildcardQuery = void 0;
const abstract_query_1 = require("./abstract.query");
class WildcardQuery extends abstract_query_1.AbstractQuery {
    constructor(key, value) {
        super();
        this.key = key;
        this.value = value;
    }
    getQuery() {
        return {
            wildcard: {
                [this.key]: {
                    value: this.value,
                    case_insensitive: true,
                },
            },
        };
    }
}
exports.WildcardQuery = WildcardQuery;
//# sourceMappingURL=wildcard.query.js.map